/* Neutral Styles for Standard Layout */

/* 22.05.2011 KB: new basic styles for standard cms */
/* 15.06.2012 PB: sub und sup definiert */
/* 05.07.2012 PB: clear, img in floatleft */


/**
 * Elektro Memory
------------------------------------------------- */

/**
 * overwriting jquery.mobile-1.1.0.min.css
 ************************************************************************************ */
body.ui-body-c, body.ui-overlay-c {
	background: none no-repeat 0 0 #11223B;
	background-image: url(../medias/elektro-memory/system/style/bg-body-v2.jpg);
}
body.ui-body-a, body.ui-overlay-a {
	background: none no-repeat 0 0 #11223B;
	background-image: url(../medias/elektro-memory/system/style/bg-body-v2.jpg);
}

.ui-page {
    background: transparent;
}
/*
.ui-content{
    background: transparent;
}
*/

.ui-body-c, .ui-overlay-c {
	background: none;
}

div[data-pagetype="contentPage"] {
	background-color: #fff;
	overflow: auto
}

/*
.ui-li-has-arrow .ui-btn-inner a.ui-link-inherit,
.ui-li-static.ui-li-has-arrow {
    padding-right: 40px;
}

.ui-li .ui-btn-text a.ui-link-inherit,
li .ui-btn-inner {
	white-space: normal;
}

*/
.ui-listview > .ui-li-static, 
.ui-listview > .ui-li-divider, 
.ui-listview > li > a.ui-btn {
	white-space: normal;
}




.ui-body-c .ui-link {
	color: #000;
}

.ui-listview .ui-btn-icon-right::after {
    background-color: rgba(0, 0, 0, 0.5);
}

/* NEW PB */
.ui-header.ui-bar-a, #szFooter {
	background: #111 linear-gradient(#3c3c3c, #111) repeat;
    }
.ui-header.ui-bar-a .ui-btn,
#szFooter .ui-btn {
	background: #000 linear-gradient(#3c3c3c, #111) repeat;
	color: #fff;
	border-color: #555;
	border-radius: 20px;
	border-top: 1px solid rgba(255, 255, 255, 0.3);
}
.ui-header.ui-bar-a .ui-btn:hover,
#szFooter .ui-btn:hover {
	background: #333;
	color: #fff;
	border-color: #777;
	border: 1px solid rgba(0, 0, 0, 0.6);
}
.ui-btn:active {
	text-shadow: none !important;
}

.ui-header.ui-bar-a .ui-btn-icon-left::after, 
.ui-header.ui-bar-a .ui-btn-icon-right::after,
#szFooter .ui-btn-icon-left::after, 
#szFooter .ui-btn-icon-right::after {
    background-color: black;
}

/* --- */
/**
 * General tags
 ************************************************************************************* */
body {
	line-height: 1.3;
	font-family: helvetica, arial, verdana, sans-serif;
}

h2 {
	color: red;
	font-size: 0.9em;
	text-transform: uppercase;
}

h3 {
	font-size: 0.875em;
	margin-bottom: 0;
}

h4 {
	font-size: 0.875em;
	font-weight: normal;
	margin-bottom: 0;
}

sup {
	vertical-align: super;
	font-size: smaller !important;
}
sub {
	vertical-align: sub;
	font-size: smaller !important;
}
em {
	color: red;	
}

#page-bbimpressum em {
	color: #000;	
}
#page-bbimpressum:active em {
	color: #fff;	
}

table {
	border-collapse:collapse;
}

td,
th {
	vertical-align: top;
}

li,
p,
td,
th {
	font-size: 0.875em;
}

li li,
p > *,
td > *,
th > * {
	font-size: 1em;
}

p {
	margin-top: 0;
}

ul { 
	padding-left: 0;
	margin-bottom: 0.8em;
	margin-top: 0;
}

ol {
	padding-left: 1em;
	margin-bottom: 0.8em;
}

svg {
	/*outline: 1px solid green;*/
	margin-left: -15px;
	margin-right: 0;
	text-shadow: none;
}
/* debug 
svg:before {
	content: 'SVG';
	background: green;
}
*/

canvas {
	/* outline: 1px solid red; /* debug */
	margin-left: -15px;
	overflow: hidden;
	position: static;
}
/* debug 
canvas:before {
	content: 'CANVAS';
	background: red;
}
*/
body * {
-webkit-font-smoothing: antialiased !important;
}

/* helper classes */
.btn.floatLeft {
	float: left;
}

.btn.floatRight {
	float: right;
}

/*
a[data-icon="home"] span,
a[data-icon="grid"] span {
	padding-right: 0.72em !important;
}
*/
/*
a[data-icon="home"] span span,
a[data-icon="grid"] span span {
	font-size: 1px !important;
}
*/
a[data-icon="home"] span,
a[data-icon="grid"] span {
	font-size: 1px !important;
}


a[href*="tel:"],
a:[href*="tel:"]:visited,
a[href*="tel:"]:active,
a[href*="tel:"]:hover {
	border-top: 1px solid rgba(255, 255, 255, 0.3);
	border-radius: 1em;
	padding: 0.1em;
	background: -moz-linear-gradient(#FAFAFA, #F6F6F6) repeat scroll 0 0 #FFFFFF;
	background: -webkit-linear-gradient(#FAFAFA, #F6F6F6) repeat scroll 0 0 #FFFFFF;
	background: linear-gradient(#FAFAFA, #F6F6F6) repeat scroll 0 0 #FFFFFF;
	border: 1px solid #BBBBBB;
	color: #333333;
	font-weight: bold;
	text-shadow: 0 1px 0 #FFFFFF;
	display: block;
	width: 12em;
	min-height: 1em;
	text-decoration: none;
}


a[href*="tel:"] strong {
	width: 12em;
	display: block;
	background: green;
	float: left;
}


.hidden {
	position: absolute;
	left: -99999px;
	height: 1px;
	overflow: hidden;
}
/* --- */

/* home */
#logoDiv img {
		/*-moz-transform:none;
		-moz-transform-origin: none;
		-webkit-transform: none;
		-webkit-transform-origin: none;
		-o-transform: none;
		-o-transform-origin: none;
		transform: none;
		transform-origin: none;*/
		width: 320px !important;
		height: 366px !important;
		margin-left: -19px;
		margin-bottom: -4.5em;
}

#page-bbhome .ui-content {
	padding-top: 1em;
	padding-bottom:0.5em;
	margin-bottom: 3em;
}
/* --- */

/* home langNav */
#langNav {
	position: absolute;
	right: 10px;
	top: 10px;
	z-index: 10;
	font-size: 0.9em;
	list-style-type: none;
	padding-left: 100px;
}

#langNav a {
	text-transform: uppercase !important;
	font-weight: normal !important;
	font-size: 0.893em;
	padding: 1;
}

#langNav .ui-btn {
	padding-left: 2em;
	padding-right: 2em;
	border-radius: 10px;
	background: #222 linear-gradient(#444, #2d2d2d) repeat scroll 0 0;
}


#langNav .active .ui-btn {
	background: rgba(0, 0, 0, 0.8);
	border: 1px solid rgba(142, 142, 142, 0.4);
	border-color: black;
	border-bottom: 1px solid rgba(142, 204, 233, 0.6);
	color: #8ECCE9;
	box-shadow: none;
}


/* --- */


/* home button menu */
#page-bbelectromemory .ui-content {
	height: auto !important; /* hires need it */
	padding-left: 0;
	padding-right: 0;
}

ul.icongrid.ui-listview {
	padding: 10px 1px 25px 10px;
	overflow: hidden;
	font-size: 1em;
	margin:0;
}

ul.icongrid.ui-listview li {
	float:left;
	width: 64px;
	height: 85px;
	padding: 0 6px;
	list-style:none;
	text-shadow: none;
	font-size: 0.75em;
	background: transparent;
	border:none;
}


.icongrid span {
	text-decoration: none;
	color: #fff;
	display: block;
	text-align: center;
	text-shadow:0 0 0 transparent;

}

.icongrid a.ico {
	width: 59px;
	height: 59px;
	background-color: #777;
	background-repeat: no-repeat;
	border-radius:8px;
	-webkit-box-shadow: 1px 1px 4px #555;
	box-shadow: 1px 1px 4px #555;
	display: block;
	margin: 0 0 3px 0;
}

.icongrid a.ico:focus,
.icongrid a.ico:active {
	opacity: 1;
	margin: 0 0 3px 0;
}

.ico {
	background-image: url(../medias/elektro-memory/system/style/icon-grid.png);
}

.search a.ico {background-position: -12px -86px;}
.datacable a.ico {background-position: -90px -86px;}
.ls a.ico {background-position: -169px -86px;}
.line a.ico {background-position: -245px -86px;}
.ic-code a.ico {background-position: -12px -164px;}
.lightning a.ico {background-position: -90px -164px;}
.accident a.ico {background-position: -169px -164px;}
.cable a.ico {background-position: -245px -164px;}
.pipe a.ico {background-position: -12px -241px;}
.lamp a.ico {background-position: -90px -241px;}
.safetyfirst a.ico {background-position: -169px -241px;}
.plug a.ico {background-position: -245px -241px;}
.bath a.ico {background-position: -12px -319px;}
.symbol a.ico {background-position: -90px -319px;}
.ip a.ico {background-position: -169px -319px;}
.formula a.ico {background-position: -245px -319px;}

/* Icône MAP personnalisée */
.map a.ico {
    background-image: url(../medias/elektro-memory/system/style/icon-map.png) !important;
    background-size: 110px 115px;
    background-position: center;
    background-repeat: no-repeat;
}

/* Icône Dimensionnement câbles personnalisée */
.dim-cable a.ico {
    background-image: url(../medias/elektro-memory/system/style/icon-dim.png) !important;
    background-size: 75px 79px;
    background-position: center;
    background-repeat: no-repeat;
}

/* whatsnew nav button */
/*
.whatsnew {
	background: -moz-linear-gradient(#ddd, #d2d2d2);
	background: -webkit-gradient(linear,left top,left bottom,from(#ddd),to(#d2d2d2));
	background: -webkit-linear-gradient(#ddd,#d2d2d2);
	background: linear-gradient(#ddd, #d2d2d2);
}
*/
.whatsnew .ui-btn {
	background: linear-gradient(#ddd, #d2d2d2);
	opacity: 0.95;
	font-weight: normal ;
	text-shadow: #fff !important;
}
.whatsnew .ui-btn:hover {
	background: linear-gradient(#d7d7d7, #d0d0d0);
}


/* alertbox */
.alertbox {
	background-color: #FFCDCD;
	margin-left: -15px;
	margin-right: -15px;
	padding: 5px 0px 0px 4px;
}

.alertbox td {
	font-size: 0.8em;
	line-height: 1.5em;
}
.alertbox em {
	display: block;
	font-size: 4em;
	line-height: 1.2em;
	text-align: center;
}

/* Content elements */
.text-align-center {
	text-align: center;
}
.text-align-right {
	text-align: right;
}

.fd {
	text-shadow: none;
}

.ui-content > img.fd {
	margin-left: -15px;
}

.ui-content .floatleft img.fd {
	margin-left: -15px;
}

.ui-content .floatleft td img.fd,
.ui-content .floatleft li img.fd {
	margin-left: 0;
}

/* .fd.tbl
tbl = naked table without th, without lines
tbl1= naked table without lines with th
tbl2= zebra table with th
tbl3= table without th with lines
tbl4= table with th with lines
tbl5= zebra table without th
tbl6= zebra table horizontal without th

*/

table.fd {
	margin-bottom: 1.5em;
}

table.fd th,
table.fd td {
	padding: 0.2em;
	text-align: left;
}

.tbl th {
	font-weight: bold;
}

.tbl th,
.tbl3 th,
.tbl5 th,
.tbl6 th {
	display: none;
}

.tbl2 th,
.tbl2 td,
.tbl3 td,
.tbl4 th,
.tbl4 td,
.tbl5 td {
	border-left: 1px solid #000;
	border-bottom: 1px solid #000;
}

.tbl2 td:first-child,
.tbl2 th:first-child,
.tbl3 td:first-child,
.tbl4 th:first-child,
.tbl4 td:first-child,
.tbl5 td:first-child {
	border-left: none;
}

.tbl2 tr:nth-child(2n) td,
.tbl5 tr:nth-child(2n) td {
	background-color: #FFCDCD;
}
.tbl6 td:nth-child(2n) {
	background-color: #FFCDCD;
}

td em { /* first col in table eg.: Installationscodes */
	color: red;
	font-style: normal;
	font-weight: bold;
	white-space: nowrap;
}

#page-bbcable .tbl1 td strong,
#page-bbcable .tbl1 th strong {
	border: 1px solid #000;
	padding: 0 2px;
	margin: 0 1px;
}
#page-bblamp .tbl3 td {
	border-left: none;
	border-right: none;
}

@media (max-width: 480px) {
	#page-bbrcd img {
		width: 100px;
		height: 25px;
		margin-top: 5px;
	}
}
#page-bbrcd td {
	padding-top: 5px;
}

#page-bbenergy em,
#page-bbreactance em {
	color: black;
	font-family: monospace;
    font-size: 16px;
    font-weight: normal;
    line-height: 1;
 }

/*
#page-bbmeasurement svg {
	width: 440px;
}
*/

/* --- */

/* .fd ul */
ul.fd li {
	list-style-type: none;
	margin-bottom: 0.2em;
	padding-left: 0.8em;
	text-indent: -0.7em;
}

ul.fd li:before {
	content: '- ';
}

/* --- */

/* .fline */
.fline {
	border-top: 1px solid #ccc;	
}

.clear {
	clear: both;
	}

/* --- */

/* .scrollbox */

.scrollbox {
	overflow: hidden;
	overflow-x: auto;
	height: auto;
	/*-webkit-overflow-scrolling: touch;*/
}

::-webkit-scrollbar {
	width: 2px;
	height: 6px;
	background-color: rgba(0, 0, 0, 0.2);
}
::-webkit-scrollbar-thumb {
    border-radius: 3px;
	background-color: rgba(0, 0, 0, 0.2);
}
 
.iScroll.scrollbox {
	/*margin-left: -15px;*/
	position: relative;
	overflow: auto;
}

.iScroll.scrollbox:before {
	position: absolute;
	top: 0;
	left: 0;
	width: 20px;
	height: 15px;
	content: ' ';
	border: 1px solid #555;
	z-index: 10;
	background: #ddd url(../medias/elektro-memory/system/style/bg-grip.png) center 50% no-repeat;
	-webkit-box-shadow: 0px 0px 4px 1px #ccc;
}
/* --- */

/* appstore */
#page-bbhome .appstore {
	overflow: hidden;	
}

#page-bbhome .appstore li {
	float: left;
	text-indent: 0;
	font-size: 1em;
	padding: 0;
	margin: 0;
	margin-left: 2em;
}

#page-bbhome .appstore li:first-child {
	margin-left: 0;
}

#page-bbhome .appstore li:before {
	content: none;
}





/* --- */

/* 
 * xForm
 **************************************** */
#xFormInfo {
	width: 1px;
	height: 1px;
	position: absolute;
	left: -99999px;
	opacity: 0;	
}
 /* --- */
 
/* Content Feedback */
/*
#page-bbuserfeedback a[data-icon="home"],
#page-bbuserfeedback a[data-icon="arrow-l"] {
	display: none;
}
*/

#frmUserFeedback .radioButtonSet:nth-child(2) {
	margin-left: 0;
}

#frmUserFeedback #msg {
	clear: both;
}

#contentFeedbackTitle {
	display: none;
}

.connected #contentFeedbackTitle {
	display: block;
}

#contentFeedbackTitle a {
	color: #aaa;
	border-top: 1px solid #ccc;
	padding: 1em 0 0 0;
	text-transform: none;
	margin-top: 1em;
	font-weight: normal;
	font-style: italic;
	clear: both;
	display: block;
}
#contentFeedbackTitle a.sent {
	color: #fc9223;
	text-decoration: none;
}

span.invalid.remark {
	color: red;
	font-size: 0.75em;
	text-shadow: none;
	display: block;
}
/*
 * Footer / Impressumlink
 ***************************************** */
.impressumlink {
	text-align: center;
	padding: 15px;
	clear: both;
	background: rgba(0,0,0,0.3);
	position: absolute;
	bottom: 0;
	left: 0;
	right: 0;
}

.impressumlink a {
	color: rgba(255,255,255,0.4) !important;
	padding: 10px 25px;
	text-decoration: none;
	font-size: 0.75em;
	text-shadow: none;
}

#szFooter {
	position: absolute;
	min-height: 43px;
	bottom: -43px;
	width: 99.5%;
}

#szFooter .ui-btn {
    display: inline-block;
    margin: 0;
}


#szFooter .ui-btn-left,
#szFooter .ui-btn-right {
    position: absolute;
    top: 3px;
}

#szFooter .ui-btn-left,
#szFooter .ui-btn-icon-left .ui-icon {
    left: 5px;
}

#szFooter .ui-btn-right,
#szFooter .ui-btn-icon-right .ui-icon {
    right: 5px;
}

#szFooter .ui-btn-icon-left .ui-btn-inner {
	font-size: 12.5px;	
}
/*
.ui-footer .ui-btn-inner {
    font-size: 12.5px;
    padding: 0.55em 11px 0.5em;
}

#szFooter .ui-btn-icon-left .ui-btn-inner {
    padding-left: 30px;
    padding-right: 11px;
}

#szFooter .ui-btn-icon-right .ui-btn-inner {
    padding: 0.3em 0.6em 0.3em 0.4em;
}
*/
#szBtnRefresh {
	left: 58%;
	top: 3px
}
/* --- */

/* impressum */
#page-bbimpressum .ui-content {
	height: auto !important;
	background: transparent;
}

#page-bbimpressum .ui-listview a.ui-btn {
	font-size: 14px;
	line-height: 19px;
}

#page-bbimpressum .ui-listview a.ui-btn b {
	font-weight: normal;
	line-height: 24px;
}

#page-bbimpressum .ui-listview a.ui-btn em {
	font-style: normal;
	font-weight: normal;
}

/* noSupport */
html.noSupport .ui-page {
	display: none;
}

html.noSupport .ui-page {
	display: none;
}

div.noSupport {
	color: #fff;
	width: 40%;
	min-width: 250px;
	margin: 2em auto;
	padding: 0 1em 1em 1em;
	border: 1px solid #fff;
	z-index: 120;
	background: #102c5a;
	position: relative;
	text-shadow: none;
}

div.noSupport a {
	color: #fff;
}

div.noSupport ul {
	margin-left: 1em;	
}

/* teltest */
.emergencytel a {
	width: 180px;
	display: block;
	
	background: -moz-linear-gradient(#FAFAFA, #F6F6F6) repeat scroll 0 0 #FFFFFF;
	background: -webkit-linear-gradient(#FAFAFA, #F6F6F6) repeat scroll 0 0 #FFFFFF;
	background: linear-gradient(#FAFAFA, #F6F6F6) repeat scroll 0 0 #FFFFFF;
	border: 1px solid #BBBBBB;
	box-shadow: 0 1px 4px rgba(0, 0, 0, 0.3);
	border-radius: 1em 1em 1em 1em;
	font-family: Helvetica,Arial,sans-serif;
	text-decoration: none;
	overflow: hidden;
	padding: 1em 2.75em 1em 1em;
	position: relative;
	text-overflow: ellipsis;
	color: #333333;
	font-weight: bold;
	text-shadow: 0 1px 0 #FFFFFF;
	position: relative;
}

.emergencytel a:before {
	position: absolute;
	right: 0.5em;
	content: ' ';
	width: 18px;
	height: 18px;
	box-shadow: 0 1px 0 rgba(255, 255, 255, 0.4);
	background: url("../medias/elektro-memory/system/style/custom-icons-white.png") no-repeat scroll 4px 1px rgba(0, 0, 0, 0.4);
	border-radius: 9px 9px 9px 9px;
}

.emergencytel a em {
	float: right;
}



/* High-Res styles */
@media 	all and (-webkit-min-device-pixel-ratio:1.5),
		all and (min-device-pixel-ratio: 1.5),
		all and (-o-min-device-pixel-ratio: 2/1) {

	/* body > div {border-top: 5px solid pink !important;} debug*/


	body.ui-body-c, body.ui-overlay-a {
		background-image: url(../medias/elektro-memory/system/style/bg-body-v2.jpg);
	}

	.ico {
		background-image: url(../medias/elektro-memory/system/style/icon-grid-retina.png);
		-webkit-background-size: 320px auto;
		background-size: 320px auto;
	}

	.search a.ico {background-position: -12px -121px;}
	.datacable a.ico {background-position: -90px -121px;}
	.ls a.ico {background-position: -169px -121px;}
	.line a.ico {background-position: -247px -121px;}
	.ic-code a.ico {background-position: -12px -199px;}
	.lightning a.ico {background-position: -90px -199px;}
	.accident a.ico {background-position: -169px -199px;}
	.cable a.ico {background-position: -247px -199px;}
	.pipe a.ico {background-position: -12px -277px;}
	.lamp a.ico {background-position: -90px -277px;}
	.safetyfirst a.ico {background-position: -169px -277px;}
	.plug a.ico {background-position: -247px -277px;}
	.bath a.ico {background-position: -12px -354px;}
	.symbol a.ico {background-position: -90px -354px;}
	.ip a.ico {background-position: -169px -354px;}
	.formula a.ico {background-position: -247px -354px;}


}

@media (min-width : 359px) {
	ul.icongrid.ui-listview li {
    	height: 95px;
    	padding: 0 9px;
    	width: 68px;
		/*outline: 1px solid white;*/
	}
	.icongrid a.ico,
	.icongrid a.ico:focus, .icongrid a.ico:active {
		margin-left: auto;
		margin-right: auto;	
	}
}
@media (min-width : 374px) {
	ul.icongrid.ui-listview {
		margin: 2em auto 0 auto;
	}
	ul.icongrid.ui-listview li {
    	height: 98px;
    	padding: 0 10px;
    	width: 69px;
		/*outline: 1px solid green;*/
	}
}
@media (min-width : 414px) {
	ul.icongrid.ui-listview {
		margin: 2em 1.5em 0 1em;
	}
	ul.icongrid.ui-listview li {
    	height: 98px;
    	padding: 0 10px;
    	width: 69px;
		/*outline: 1px solid blue;*/
	}
}
@media (min-width : 470px) {
	ul.icongrid.ui-listview {
		margin: 2em auto 0 auto;
	}
	ul.icongrid.ui-listview li {
    	height: 98px;
    	padding: 0 10px;
    	width: 69px;
		/*outline: 1px solid violet;*/
	}
}

@media (min-width : 549px) {
	ul.icongrid.ui-listview {
		margin: 2em auto 0 auto !important;
		width: 536px;
	}

	ul.icongrid.ui-listview li {
		height: 8.33em;
		padding: 0 0.3em;
		width: 94px;
		/*outline: 1px solid orange;*/
	}
}
@media (min-width : 660px) {
	ul.icongrid.ui-listview {
		margin: 2em auto 0 auto;
		width: 536px;
	}

	ul.icongrid.ui-listview li {
		height: 8.33em;
		padding: 0 0.3em;
		width: 90px;
		/*outline: 1px solid yellow;*/
	}
}



/* iPads (portrait and landscape) ----------- */
@media (min-width : 768px) {
	
	/* helper classes */
	div.floatleft {
		float: left;
		width: 45%;
	}
	
	div.floatleft .fline:first-child,
	div.floatleft .fline:last-child {
		display: none;
	}

	.floatleft:nth-child(2n + 1) {
		margin-right: 3%;
		clear: left;
	}

	ul.icongrid.ui-listview {
		width: 30.125em;
		margin: 2em auto 0 auto;
	}

	ul.icongrid.ui-listview li {
		height: 8.33em;
		padding: 0 1em;
		width: 90px;
		/*outline: 1px solid orange;*/
	}
	
	.icongrid a.ico,
	.icongrid a.ico:focus, .icongrid a.ico:active {
		margin-left: auto;
		margin-right: auto;	
	}
	
	/* Feedback */
	#frmUserFeedback .radioButtonSet {
		width: auto;
		float: left;
		margin-left: 1em;
	}
	
	img[src*="version-b"] {
		border-left: 1px dashed #000;
		margin-left: 0 !important;	
	}
	
}

@media (min-width : 900px) {
	ul.icongrid.ui-listview {
		width: 800px;
		margin: 2em auto 0 auto;
	}
	ul.icongrid.ui-listview li {
		/*outline: 1px solid black;*/
	}
}

/* Localized */

.ui-dialog-contain {max-width: 1000px;}
#log {background:#ffe4ec; padding: 2px; color:#9a1b03; font-size:90%; font-family:monospace; margin-bottom: 10px;}
